% KRETSLAB - SAMMANFATTANDE FUNKTIONSBESKRIVNING
% -----------------------------------------------
% 
% Nedanstende funktioner r i de flesta fall Kretslabfunktioner,
% men kan i en del fall vara normala Matlabfunktioner (speciellt 
% funktionerna under rubriken "Elementra matematiska funktioner").
%
% Skriv "helpwin funktionsnamn" fr att erhlla hjlptexten till 
% funktionen  "funktionsnamn" i Matlabs hjlpnavigerare!
% Motsvarande hjlptext erhlls i kommandofnstret om du i stllet
% skriver "help funktionsnamn".
% 
% Skriv "which funktionsnamn" om du vill veta vilken funktion 
% Matlab anvnder sig av om/nr du anropar "funktionsnamn".
% 
% Allmnna funktioner
% -------------------
% kretslab        - Visar denna hjlptext fr Kretslab i Matlabs hjlpnavigerare!
% startup         - Initierar Kretslab. Anropas nr Matlab startar.
% help            - help fknsnamn returnerar hjlptext fill funktionen fknsnamn.
% helpwin         - Startar ett mer sofistikerat hjlpfnster med skfunktion.
%                   Skriv t.ex. "helpwin kretslab" !!!!!
% who             - (alt. whos) listar vilka variabler som r definierade.
% clear           - clear x tar bort variabeln x.
% cleanup         - Kompakterar minnet. OBS: anvnd inte pack
% vartype         - vartype(x) anger vilken typ av variabel x r. 
% vtype           - vtype(x) ger typkoden fr variabeln x.
% save            - save fil x sparar variabeln x p filen fil.mat 
% load            - load fil hmtar variabler frn filen fil.mat 
% shg             - Visar grafiska fnstret.
% quit            - Avslutar Matlab.
% editpath        - Anvnds fr att definiera och ndra Matlabs skvg.
% ;               - Skrivs efter funktionsanrop, fr att frhindra resultatutskrift.
% <ctrl>+<c>      - Avbryter pgende kommando eller utskrift.
% 
% 
% Elementra matematiska funktioner
% ----------------------------------
% Konstanter:
% j               - Kvadratroten ur -1
% pi              - pi
% 
% Funktioner:
% ^               - Exponentiering. Ex: 2^5 = 32 
% sqrt            - Kvadratroten
% sin             - sinus
% cos             - cosinus
% tan             - tangens
% asin            - arcussinus
% acos            - arcuscosinus
% atan            - arcustangens
% sinh            - sinus hyperbolicus
% cosh            - cosinus hyperbolicus
% tanh            - tangenshyperbolicus
% exp             - e^t; basen e till den naturliga logaritmen
% log             - den naturliga logaritmen; ln(t)
% log10           - 10-logaritmen
% sinc            - sinc-functionen; sinc(t) = sin(pi*t)/(pi*t)
% us              - Heavisidefunktionen u(t)
% pulse           - pulse(t,t1,t2) = u(t-t1)-u(t-t2) 
%                   (kan naturligtvis ven matas in som us(t-t1)-us(t-t2) )
% pulse2          - Specialgenerering av pulsfunktionen u(t-t1)-u(t-t2)
% ramp            - Rampfunktionen ramp(t,t1,t2)=((t-t1)/(t2-t1))*(u(t-t1)-u(t-t2))
% dimp            - Specialgenerering av dirac-impuls
% sign            - sign(t) = signum av t (= -1, 0 eller 1).
% abs             - Absolutbelopp; abs(t) = |t|
% angle           - Argumentet, dvs. fasvinkeln arg{t}
% real            - Realdelen Re{t}
% imag            - Imaginrdelen Im{t}
% conj            - Komplexkonjugatet t*
% max             - max(a,b) motsvarar max{a,b}
% min             - min(a,b) motsvarar min{a,b}
% round           - Avrundning till nrmaste heltal.
% floor           - Avrundning till nrmaste lgre heltal.
% ceil            - Avrundning till nrmaste hgre heltal.
% 
% 
% Ritfunktioner
% --------------
% signal         - Ritar signaler.
%                  OBS! Om du klickar p 'signal' hr till vnster, kommer
%                  funktionens hjlptext att i hjlpnavigatorn skrivas ut 
%                  lngst ned p den erhllna sidan!
% signalmod      - Variant av signal. Anvnds fr egendefinierade utskrifter.
% spect          - Ritar frekvensspektrum/-karaktristik.
% spectmod       - Variant av spect. Anvnds fr egendefinierade utskrifter.
% logspect       - Ritar frekvensspektrum/-karaktristik i logaritmisk skala.
% logspectmod    - Variant av logspect. Anvnds fr egendefinierade utskrifter.
% pwrspect       - Ritar energispektrum.
% pz             - Ritar pol-nollstllediagram.
% pzmod          - Variant av pz. Anvnds fr egendefinierade utskrifter.
% splane         - Ritar beloppet av en laplacetransform i s-planet.
% zplane         - Ritar beloppet av en z-transform i z-planet.
% pzchange       - Ritar pol-nollstllediagram och frekvensspektrum/-karaktristik
%                - samt mjliggr interaktiv justering av poler och nollstllen.
% ohfig          - kar textstorlek och linjetjocklek i senast ritade fnster
%                  (ger tydligare figurer vid utskrift m.m.)
% 
% 
% Inmatning
% ----------
% in             - Definierar signaler eller transformer.
% sample         - Samplar signaler.
% fouser         - Definierar fourierserier.
% fir            - Definierar FIR-filter.
% pzchange       - Interaktiv inmatning av poler och nollstllen till laplace-
%                  och z-transform. Ritar samtidigt pol-nollstllediagram och 
%                  frekvensspektrum/-karaktristik.
% 
% Signaler
% ---------
% add            - Adderar signaler.
% mult           - Multiplicerar signaler.
% deriv          - Deriverar signaler.
% integr         - Integrerar signaler.
% pam            - Pulsamplitudmodulerar tidsdiskreta signaler.
% delay          - Frdrjer (skiftar) signaler.
% window         - Fnstrar signaler.
% part           - Tar ut delar av signaler.
% pwr            - Berknar energin (alt. signalmedeleffekt) hos signaler.
% noise          - Adderar brus till signaler.
% output         - Faltar signaler/funktioner.
% ampl           - Frstrker signaler.
% value          - Ger amplitud vid viss tidpunkt.
% lp             - Ideal lgpassfiltrering av signal.
% hp             - Ideal hgpassfiltrering av signal.
% bp             - Ideal bandpassfiltrering av signal.
% bs             - Ideal bandsprrfiltrering av signal.
% 
% 
% Fourierserier
% --------------
% output         - Filtrerar signaler.
% addtone        - Adderar deltoner.
% remtone        - Tar bort deltoner.
% thd            - Berknar klirrfaktor (distorsion), signalmedeleffekt, 
%                  RMS-vrde och likriktat medelvrde.
% value          - Ger amplitud och fas fr deltoner.
% 
% 
% Transformer
% ------------
% foutr          - Fouriertransformerar signaler.
% ifoutr         - Inverstransformerar fouriertransformer.
% ilaptr         - Inverstransformerar laplacetransformer.
% iztr           - Inverstransformerar z-transformer.
% dft8           - 8 punkters DFT.
% dft16          - 16 punkters DFT.
% dft32          - 32 punkters DFT.
% dft64          - 64 punkters DFT.
% dft128         - 128 punkters DFT.
% value          - Ger amplitud och fas i viss frekvens.
% output         - Filtrerar i frekvensplanet.
% trfcn          - Berknar frekvensfunktioner (transfer function).
% addpo          - Adderar poler.
% addze          - Adderar nollstllen.
% rempo          - Tar bort poler.
% remze          - Tar bort nollstllen.
% po             - Ger polplacering.
% ze             - Ger nollstlleplacering.
% coeff          - Ger tljar- och nmnarpolynomskoefficienterna.
% normal         - Amplitudnormerar filter.
% ampl           - Multiplicerar med konstant.
% feedb          - terkopplar system.
% pzchange       - Se under rubrikerna Ritfunktioner och Inmatning
% 
% 
% Filterdesign
% -------------
% lplp           - LP->LP-transformation.
% lphp           - LP->HP-transformation.
% butterw        - Berknar butterworthfilter.
% firwin         - Berknar FIR-filter med fnstermetoden.
% firopt         - Berknar FIR-filter med Remez algoritm.
% firlen         - Ger en uppskattning av lngden p ett optimalt 
%                  FIR-filter enligt Remez algoritm.
% ripple         - Berknar designkonstant fr Remez algoritm.
% firztr         - Berknar systemfunktioner fr FIR-filter.
% bilintr        - Bilinjr transformation.
% pzchange       - Se under rubrikerna Ritfunktioner och Inmatning
% 
% 
% vrigt
% -------
% dd1            - Demonstration av Kretslabfunktioner fr tidskontinuerliga
%                  signaler och system. Tryck p valfri tangent fr att stega  
%                  dig igenom demonstrationsfilen! 
%                  KR DD1 FR ATT SE HUR KRETSLAB ANVNDS!!
% dd2            - Demonstration av Kretslabfunktioner fr tidsdiskreta
%                  signaler och system. Tryck p valfri tangent fr att stega  
%                  dig igenom demonstrationsfilen!
%                  KR DD2 FR ATT SE HUR KRETSLAB ANVNDS!!
% kretsdemo1     - Demonstrationsverktyg fr den tidskontinuerliga kursdelen.
%                  Ngra av demo-filerna fungerar dock bara tillsammans med andra
%                  Matlabfunktioner (som examinatorn har).
% kretsdemo2     - Demonstrationsverktyg fr den tidsdiskreta kursdelen.
% vikex          - Demonstration av vikningseffekter vid sampling.
%            
% ------------------------------------------------------------------------
%
% OBS!!  Om du fick ovanstende text presenterad i kommandofnstret,
% rekommenderas du att i stllet lsa hjltexten i Matlabs hjlpnavigerare!
% Skriv d "kretslab", s startas den!
%
% ------------------------------------------------------------------------
%