%STARTUP Initiering av Kretslab.
%    
%    Beskrivning:
%    Startupfilen krs automatiskt nr man startar Matlab och om Kretslab 
%    ligger frst i Matlabs skvg. Den definierar ett antal globala variabler 
%    som anvnds av Kretslab. Om man skulle rka ta bort eller definiera om 
%    dessa variabler (t.ex. om man rkar anvnda pack) kan initieringen gras om 
%    utan att starta om Matlab genom att skriva startup.
%
%    Kretslabs globala variabler r  pm1, pm2, pm3, pm4, KlabL och FSMAX:
%       * Variablerna pm1, pm2, pm3 och pm4 kan anvndas av DIG i
%         kretslabfunktioner dr en nskad variabel frekommer i ett
%         textuttryck. 
%         Exempel: pm1=0.2; pm2=14; x=in('pm1*sin(2*pi*pm2*t)','t');
%       * KlabL och FSMAX skall/fr normalt INTE ndras av anvndaren.
%         KlabL anger lngden p Kretslabs signalvektorer (65536) och
%         FSMAX r den hgsta sampelfrekvens (6400 Hz) som anvnds av 
%         de flesta Kretslabfunktioner, exempelvis funktionen in.
%    
%    See also:
%    CLEANUP
%    

global pm1 pm2 pm3 pm4 KlabL FSMAX
pm1=0;
pm2=0;
pm3=0;
pm4=0;
KlabL=65536;    % Signal and spectrum vector length (65536)
FSMAX=6400;     % Maximum sample frequency for representing time continuous signals using the in function (earlier: 400  now: 6400)

disp(' ')
disp('KRETSLAB R INITIERAD!')
disp('(Ett antal globala variabler r definierade)')
disp(' ')
disp('Fr den intresserade (men behvs ej fr att lsa uppgifterna):')
disp('Om du skriver ''kretslab'' i kommandofnstret s ppnas ett')
disp('hjlpfnster dr tollboxens funktioner r beskrivna.')
disp(' ')


